Bug 308210 - Cannot edit names of favourited jabber chatrooms
Summary: Cannot edit names of favourited jabber chatrooms
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: contactlist (show other bugs)
Version: 0.5.1
Platform: unspecified Linux
: NOR wishlist
Target Milestone: Future
Assignee: Telepathy Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2012-10-11 05:26 UTC by Jussi Schultink
Modified: 2013-10-06 11:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 0.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jussi Schultink 2012-10-11 05:26:57 UTC
When I go to the list of chatroom favourites, I can only delete or add items, but I cannot edit items already there. I should be able to edit the name if I make a typo or need to update the name for some reason.

Reproducible: Always
Comment 1 David Edmundson 2013-10-06 11:17:20 UTC
Git commit 314cb8a84cfe069f181a772f626753c80c011c4c by David Edmundson, on behalf of Leon Handreke.
Committed on 06/10/2013 at 12:16.
Pushed by davidedmundson into branch 'master'.

Make favorite chat room names editable

REVIEW: 113111
FIXED-IN: 0.8.0

DIGEST: Add ability to edit the name of your favourite chat rooms for quick joining

M  +38   -0    KTp/Models/rooms-model.cpp
M  +4    -0    KTp/Models/rooms-model.h
M  +37   -4    KTp/Widgets/join-chat-room-dialog.cpp
M  +3    -1    KTp/Widgets/join-chat-room-dialog.h
M  +10   -0    KTp/Widgets/join-chat-room-dialog.ui

http://commits.kde.org/telepathy-common-internals/314cb8a84cfe069f181a772f626753c80c011c4c